// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App'

import store from './store'
Vue.use(ElementUI);
import router from './router'
// import VueDirectiveImagePreviewer from 'vue-directive-image-previewer'
// import 'vue-directive-image-previewer/dist/assets/style.css'
// Vue.use(VueDirectiveImagePreviewer, {
//   zIndex: 9999,  //层级显示
//   previewSize: 3 //三倍图
// })
import Viewer from 'v-viewer'
import 'viewerjs/dist/viewer.css'
Vue.use(Viewer, {
  defaultOptions: {
    zIndex: 9999,
  }
})
import { getHashQuery } from './utils'
//console.log(encodeURIComponent(getHashQuery('url')))

store.commit('mutationstoken', getHashQuery('token'))
store.commit('mutationsurl', getHashQuery('url'))
store.commit('mutationsuid', getHashQuery('uid'))
console.log(store.state.token)
Vue.config.productionTip = false
//console.log(process.env.VUE_APP_BASE_URL);
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
