 import Vue from 'vue'
 import Vuex from 'vuex'

Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
      token:'',
      url:'',
      uid:'',
	},
	getters:{
		gettoken(state){
			return state.token
	    },
	    geturl(state){
	    	return state.url
	    },
		getckuid(state){
			return state.uid
		},

    },
    mutations: {
		mutationstoken(state,data){
			state.token=data
		},
		mutationsurl(state,data){
			state.url=data
		},
		mutationsuid(state,data){
			state.uid=data
		},

	},
    actions: {
		actionstoken(context,playload){
			context.commit('mutationstoken',playload)
		},
		actionsurl(context,playload){
			context.commit('mutationsurl',playload)
		},
		actionsuid(context,playload){
			context.commit('mutationsuid',playload)
		},

	}
})
export default store
